%define major		0
%define libname 	%mklibname cpufreq %major
%define develname	%mklibname cpufreq -d

Name:         cpufrequtils
URL:          http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Version:      008
Release:      %mkrel 3
Summary:      Tools to determine and set cpufreq settings
License:      GPLv2
Group:        System/Base
Source:       http://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.xz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

BuildRequires: libtool
BuildRequires:	libsysfs-devel
BuildRequires:	gettext

%description
To make access to the Linux kernel cpufreq subsystem easier for users
and cpufreq userspace tools, the cpufrequtils package was created. It
contains a library used by other programs (libcpufreq), command line
tools to determine current CPUfreq settings and to modify them
(cpufreq-info and cpufreq-set), and debug tools.

%package devel
Summary:        Static libraries, include files for cpufrequtils
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       libcpufreq-devel = %{version}-%{release}
Requires:       %{name} = %{version}

%description devel
Static libraries, include files for cpufrequtils.

%prep
%setup -q

%build
%setup_compile_flags
%make

%install
rm -rf %{buildroot}
%makeinstall localedir=%{buildroot}%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -f %{name}.lang
%doc README AUTHORS
%defattr (-,root,root)
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/*.so.%{major}*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
# %{_libdir}/*.a
# %{_libdir}/*.la
%{_includedir}/*


%changelog
* Wed Mar 04 2020 tex - 008-3pclos2020
- rebuild 2020

* Fri Jul 07 2017 bb2 <bb2> 008-2pclos2017
- rebuild
